<?php 
	$pageTitle 	= 'Статистика';
	require_once(ROOT . 'templates/header.php'); 
	require_once(ROOT . 'templates/main-menu.php');
	$StatPrice 		= count_deals_price('deal-a', 'price', '', '', 'all')+count_deals_price('deal-c', 'price', '', '', 'all');
	$StatPriceYear 	= count_deals_price('deal-a', 'price', '', date("Y"), 'all')+count_deals_price('deal-c', 'price', '', date("Y"), 'all');
	$StatCosts 		= count_deals_price('deal-a', 'costs', '', '', 'all')+count_deals_price('deal-c', 'costs', '', '', 'all');
	$StatCostsYear 	= count_deals_price('deal-a', 'costs', '', date("Y"), 'all')+count_deals_price('deal-c', 'costs', '', date("Y"), 'all');
	$StatPaid 		= count_deals_price('deal-a', 'paid', '', '', 'all')+count_deals_price('deal-c', 'paid', '', '', 'all');
	$StatPaidYear 	= count_deals_price('deal-a', 'paid', '', date("Y"), 'all')+count_deals_price('deal-c', 'paid', '', date("Y"), 'all');
	$StatProfit 	= $StatPaid - $StatCosts;
	$StatProfitYear = $StatPaidYear - $StatCostsYear;
	$StatDebt		= $StatPrice - $StatPaid;
	$StatDebtYear	= $StatPriceYear - $StatPaidYear;
?>
<?php if($nCRMsn != '') { ?>
<div class="container<?php global $designView; echo $designView; ?>">
	<div class="row">
		<div class="col-lg-12" >
	
			<h1>Статистика компании</h1>
			<p style="margin-bottom:25px;">В данном разделе собраны общие статистические показатели работы компании c момента запуска CRM системы. Проанализировав представленные данные можно разработать стратегию для дальнейшего роста производительности. После очистки любой из баз данных, привязанные к ней показатели будут пересчитаны</p>
			<br/>
			
			<ul class="nav nav-tabs" id="admin-tabs">
				<li class="active"><a data-toggle="tab" href="#finance">Финансы</a></li>
				<li><a data-toggle="tab" href="#profit">Рентабельность</a></li>
				<li><a data-toggle="tab" href="#deals">Сделки</a></li>
				<li><a data-toggle="tab" href="#clients">Клиенты</a></li>
				<li><a data-toggle="tab" href="#time">Время</a></li>
			</ul>
			<? $start = microtime(true); ?>
			<div class="tab-content">
				<div id="finance" class="tab-pane fade in active">
					<?
					include_once(ROOT . '/modules/statistic/block-finance.php'); 
					?>
				</div>
				<div id="profit" class="tab-pane fade">
					<? 
					include_once(ROOT . '/modules/statistic/block-profit.php'); 
					?>
				</div>
				<div id="deals" class="tab-pane fade">
					<? 
					include_once(ROOT . '/modules/statistic/block-deals.php'); 
					?>
				</div>
				<div id="clients" class="tab-pane fade">
					<? 
					include_once(ROOT . '/modules/statistic/block-clients.php'); 
					?>
				</div>
				<div id="time" class="tab-pane fade">
					<? 
					include_once(ROOT . '/modules/statistic/block-time.php'); 
					?>
				</div>
			</div>
			<?
			$finish = microtime(true); 
			$delta = round($finish - $start , 2);
			echo $delta . ' сек';
			?>
		</div>
	</div>
</div>
<?php } ?>
<?
	require_once(ROOT . 'templates/modal-wind.php');
	require_once(ROOT . 'templates/footer.php');
?>
	</body>
</html>